> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/contacts-api/api-reference/manage-contact-suppressions.md).

# Manage contact suppressions

## Suppressions

A suppression in the Bird Contacts API is a mechanism that ensures messages are not sent to customers who have opted out of specific communication types, such as marketing or transactional messages. It operates by associating a contact's identifier, like an email address, with suppression preferences, specifying which types of communication should be avoided and why.

### API Reference Guide <a href="#api-reference-guide" id="api-reference-guide"></a>

1. [Upsert a workspace-platform-level suppression](/api/contacts-api/api-reference/manage-contact-suppressions/upsert-a-workspace-platform-level-suppression.md)
2. [Get a suppression](/api/contacts-api/api-reference/manage-contact-suppressions/get-a-suppression.md)
3. [List workspace-platform-level suppressions](/api/contacts-api/api-reference/manage-contact-suppressions/list-workspace-platform-level-suppressions.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/contacts-api/api-reference/manage-contact-suppressions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
